| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxToolBarToolBase Class Reference

`#include <wx/toolbar.h>`

Inheritance diagram for wxToolBarToolBase:
[legend]

## Detailed Description

A toolbar tool represents one item on the toolbar.

It has a unique id (except for the separators), the style (telling whether it is a normal button, separator or a control), the state (toggled or not, enabled or not) and short and long help strings. The default implementations use the short help string for the tooltip text which is popped up when the mouse pointer enters the tool and the long help string for the applications status bar.

## Public Member Functions
| wxToolBarToolBase (wxToolBarBase *tbar=NULL, int toolid=wxID_SEPARATOR, const wxString &label=wxEmptyString, const wxBitmap &bmpNormal=wxNullBitmap, const wxBitmap &bmpDisabled=wxNullBitmap, wxItemKind kind=wxITEM_NORMAL, wxObject *clientData=NULL, const wxString &shortHelpString=wxEmptyString, const wxString &longHelpString=wxEmptyString)
| wxToolBarToolBase (wxToolBarBase *tbar, wxControl *control, const wxString &label)
virtual | ~wxToolBarToolBase ()
int | GetId () const
wxControl * | GetControl () const
wxToolBarBase * | GetToolBar () const
bool | IsStretchable () const
bool | IsButton () const
bool | IsControl () const
bool | IsSeparator () const
bool | IsStretchableSpace () const
int | GetStyle () const
wxItemKind | GetKind () const
void | MakeStretchable ()
bool | IsEnabled () const
bool | IsToggled () const
bool | CanBeToggled () const
const wxBitmap & | GetNormalBitmap () const
const wxBitmap & | GetDisabledBitmap () const
const wxBitmap & | GetBitmap () const
const wxString & | GetLabel () const
const wxString & | GetShortHelp () const
const wxString & | GetLongHelp () const
wxObject * | GetClientData () const
virtual bool | Enable (bool enable)
virtual bool | Toggle (bool toggle)
virtual bool | SetToggle (bool toggle)
virtual bool | SetShortHelp (const wxString &help)
virtual bool | SetLongHelp (const wxString &help)
void | Toggle ()
virtual void | SetNormalBitmap (const wxBitmap &bmp)
virtual void | SetDisabledBitmap (const wxBitmap &bmp)
virtual void | SetLabel (const wxString &label)
void | SetClientData (wxObject *clientData)
virtual void | Detach ()
virtual void | Attach (wxToolBarBase *tbar)
virtual void | SetDropdownMenu (wxMenu *menu)
wxMenu * | GetDropdownMenu () const
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data.
| wxObject (const wxObject &other)
| Copy ctor.
virtual | ~wxObject ()
| Destructor.
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar).
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object.
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class.
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj.
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone.
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer.
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data.
void | UnShare ()
| This is the same of AllocExclusive() but this method is public.
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object.
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it.
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data.
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data.

## Constructor & Destructor Documentation

wxToolBarToolBase::wxToolBarToolBase | ( | wxToolBarBase * | tbar = `NULL`,
|  | int | toolid = `wxID_SEPARATOR`,
|  | const wxString & | label = `wxEmptyString`,
|  | const wxBitmap & | bmpNormal = `wxNullBitmap`,
|  | const wxBitmap & | bmpDisabled = `wxNullBitmap`,
|  | wxItemKind | kind = `wxITEM_NORMAL`,
|  | wxObject * | clientData = `NULL`,
|  | const wxString & | shortHelpString = `wxEmptyString`,
|  | const wxString & | longHelpString = `wxEmptyString`
| ) |  |

wxToolBarToolBase::wxToolBarToolBase | ( | wxToolBarBase * | tbar,
|  | wxControl * | control,
|  | const wxString & | label
| ) |  |

virtual wxToolBarToolBase::~wxToolBarToolBase | ( |  | ) |
| virtual

## Member Function Documentation

virtual void wxToolBarToolBase::Attach | ( | wxToolBarBase * | tbar | ) |
| virtual

bool wxToolBarToolBase::CanBeToggled | ( |  | ) | const

virtual void wxToolBarToolBase::Detach | ( |  | ) |
| virtual

virtual bool wxToolBarToolBase::Enable | ( | bool | enable | ) |
| virtual

const wxBitmap& wxToolBarToolBase::GetBitmap | ( |  | ) | const

wxObject* wxToolBarToolBase::GetClientData | ( |  | ) | const

wxControl* wxToolBarToolBase::GetControl | ( |  | ) | const

const wxBitmap& wxToolBarToolBase::GetDisabledBitmap | ( |  | ) | const

wxMenu* wxToolBarToolBase::GetDropdownMenu | ( |  | ) | const

int wxToolBarToolBase::GetId | ( |  | ) | const

wxItemKind wxToolBarToolBase::GetKind | ( |  | ) | const

const wxString& wxToolBarToolBase::GetLabel | ( |  | ) | const

const wxString& wxToolBarToolBase::GetLongHelp | ( |  | ) | const

const wxBitmap& wxToolBarToolBase::GetNormalBitmap | ( |  | ) | const

const wxString& wxToolBarToolBase::GetShortHelp | ( |  | ) | const

int wxToolBarToolBase::GetStyle | ( |  | ) | const

wxToolBarBase* wxToolBarToolBase::GetToolBar | ( |  | ) | const

bool wxToolBarToolBase::IsButton | ( |  | ) | const

bool wxToolBarToolBase::IsControl | ( |  | ) | const

bool wxToolBarToolBase::IsEnabled | ( |  | ) | const

bool wxToolBarToolBase::IsSeparator | ( |  | ) | const

bool wxToolBarToolBase::IsStretchable | ( |  | ) | const

bool wxToolBarToolBase::IsStretchableSpace | ( |  | ) | const

bool wxToolBarToolBase::IsToggled | ( |  | ) | const

void wxToolBarToolBase::MakeStretchable | ( |  | ) |

void wxToolBarToolBase::SetClientData | ( | wxObject * | clientData | ) |

virtual void wxToolBarToolBase::SetDisabledBitmap | ( | const wxBitmap & | bmp | ) |
| virtual

virtual void wxToolBarToolBase::SetDropdownMenu | ( | wxMenu * | menu | ) |
| virtual

virtual void wxToolBarToolBase::SetLabel | ( | const wxString & | label | ) |
| virtual

virtual bool wxToolBarToolBase::SetLongHelp | ( | const wxString & | help | ) |
| virtual

virtual void wxToolBarToolBase::SetNormalBitmap | ( | const wxBitmap & | bmp | ) |
| virtual

virtual bool wxToolBarToolBase::SetShortHelp | ( | const wxString & | help | ) |
| virtual

virtual bool wxToolBarToolBase::SetToggle | ( | bool | toggle | ) |
| virtual

virtual bool wxToolBarToolBase::Toggle | ( | bool | toggle | ) |
| virtual

void wxToolBarToolBase::Toggle | ( |  | ) |